export default interface IMarkedText {
    resetSpans(): void;
    resetSubjects(): void;
    resetSelection(): void;
    setSelection(begChar: number, endChar: number): void;
    getSelection(): [number, number] | null;
    subjectColor(subjectName: string): string | undefined;
    subjectStyle(subjectName: string): object | undefined;
    activateSubject(subjectName: string): void;
    deactivateSubject(subjectName: string): void;
    toggleSubject(subjectName: string): void;
    activateAllSubjects(): void;
    deactivateAllSubjects(): void;
    lineConnectSubject(subjectName: string): void;
    lineDisconnectSubject(subjectName: string): void;
    toggleLines(subjectName: string): void;
    metaStringEncloseSections(begSections: number[], endSections: number[]): void;
    metaStringDivideBatches(): void;
    removeMetaStrings(): void;
}
